Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Provides a mutable version of the class.

The and classes both represent a Uniform Resource Identifier (URI). Instances of the type are immutable: once the underlying URI is specified, neither it nor its components, or constituent parts, can be changed. The type permits modifications to the components of the URI it represents. The property provides the current contents of a as a instance.

For more information on URI, see IETF RFC 2396.

- Constructor

  Constructs and initializes a new instance of the class.

  This constructor creates a new instance of the class with its properties initialized as follows:

  Property
  Initial value
  Fragment
  Host
  "loopback"
  Password
  Path
  "/"
  Port
  80
  Query
  Scheme
  UserName
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing a URI.

  Constructs and initializes a new instance of the class using the specified URI.

  This constructor checks for the presence of a scheme in . If no scheme is found, + are prepended to . The () constructor is passed , and the components of the new instance are used to initialize the properties of the instance being constructed.

  If . is not equal to , . is copied to the property of the current instance, otherwise . is copied to the property of the current instance.

  The , and properties of the instance are used to initialize the corresponding properties in the current instance. The property of the instance is used to initialize the property of the current instance.

  The property of the instance is used to initialize the and properties of the current instance.

  is .

  is a zero length string or contains only spaces.

  -or-

  The parsing routine detected a scheme in an invalid form.

  -or-

  The parser detected more than two consecutive slashes in a URI that does not use the "file" scheme.

  -or-

  is in an invalid form and cannot be parsed.

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  An instance of the class.

  Constructs and initializes a new instance of the class with the specified instance.

  The components of the specified instance are used to initialize the properties of the instance being constructed.

  If . is not equal to , . is copied to the property of the current instance, otherwise . is copied to the property of the current instance.

  The , and properties of the instance are used to initialize the corresponding properties in the current instance. The property of the instance is used to initialize the property of the current instance.

  The property of the instance is used to initialize the and properties of the current instance.

  is .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the name of an Internet access protocol.
  A containing a DNS host name or IP address.

  Constructs and initializes a new instance of the class with the specified scheme and host.

  This constructor creates a new instance of the class with its properties initialized as follows:

  Property
  Initial value
  Fragment
  Host
  Password
  Path
  "/"
  Port
  -1
  Query
  Scheme
  UserName
  is initialized to the value -1 to indicate the default port for the scheme should be used.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the name of an Internet access protocol.
  A containing a DNS host name or IP address.
  A containing an IP port number.

  Constructs and initializes a new instance of the class with the specified scheme, host, and port.

  This constructor creates a new instance of the class with its properties initialized as follows:

  Property
  Initial value
  Fragment
  Host
  Password
  Path
  "/"
  Port
  Query
  Scheme
  UserName
  is less than zero.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the name of an Internet access protocol.
  A containing a DNS host name or IP address.
  A containing an IP port number.
  A containing the path for the resource.

  Constructs and initializes a new instance of the class with the specified scheme, host, port number, and path.

  This constructor creates a new instance of the class with its properties initialized as follows:

  Property
  Initial value
  Fragment
  Host
  Password
  Path
  Port
  Query
  Scheme
  UserName

  Before setting the property, this constructor converts any backward slashes in to forward slashes, and calls ().

  is less than zero.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A containing the name of an Internet access protocol.
  A containing a DNS host name or IP address.
  A containing an IP port number.
  To be added.
  A containing a query or fragment component.

  Constructs and initializes a new instance of the class with the specified scheme, host, port number, path, and query string or fragment identifier.

  This constructor creates a new instance of the class with its properties initialized as follows:

  Property
  Initial value
  Fragment
  If begins with a "#", ; otherwise .
  Host
  Password
  Path
  Port
  Query
  If begins with a "?", ; otherwise .
  Scheme
  UserName

  Before setting the property, this constructor converts any backward slashes in to forward slashes, and calls ().

  is less than zero.
  is not or , and does not have as its first character a number sign ('#') indicating a fragment, or a question mark ('?') indicating a query.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` The object to compare with the current instance. The string representation of this argument is used to construct a for comparison.

  Compares the current instance and the specified object for equality.

  if represents the same URI as the current instance. If is , returns .

  This method invokes (.ToString()) on the instance returned by the property of the current instance.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets or sets the fragment component of the current instance.

  A containing the fragment component of the URI represented by the current instance.

  The property contains any text following a fragment marker ('#') in the URI, including the marker itself. When setting the property, the property value does not include the fragment marker as it is added to the property value by the set operation. Specifying for the property value sets the property to . If or are specified in a set operation, the fragment marker is not added to the property value. The set operation does not escape the fragment value.

  Setting the property to any value, including , sets the property to . 0 1.0.5000.0 2.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for this instance.

  The hash code is generated without the fragment component. For example, the URIs "http://www.contoso.com/index.htm#search" and "http://www.contoso.com/index.htm" produce the same hash code.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets or sets the Domain Name System (DNS) host name or IP address of a machine that provides access to the resource identified by the current instance.

  A containing the DNS host name or IP address of the host machine.

  Specifying for a set operation sets this property to

  .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets or sets the password information used to access the resource represented by the current instance.

  A containing the password used to access the resource represented by the current instance.

  Specifying for a set operation sets this property to .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.String

  Gets or sets the path to the resource represented by the current instance.

  A containing the path to the resource represented by the current instance.

  This property returns the escaped form of the path information in the current instance. Values specified for set operations are escaped, and any backslashes are converted to forward slashes.

  Specifying or for a set operation sets this property to "/" .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32

  Gets or sets the port number used to connect to the referenced by the current instance.

  A containing a non-negative port number or -1.

  If no port was specified, the property returns the default port as determined by the scheme of the current instance. A port value of -1 indicates that the current scheme does not use a port, as is the case when the scheme of the current instance is the scheme.

  For the list of default ports used with each scheme, see .

  The value specified for a set operation was less than zero. 0 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets or sets the query component of the current instance.

  A containing the query component of the URI represented by the current instance.

  The property contains any text following a query marker ('?') in the URI, including the marker itself. When setting the property, the property value does not include the query marker as it is added to the property value by the set operation. Specifying for the property value sets the property to . If or are specified in a set operation, the query marker is not added to the property value. The set operation does not escape the query value.

  Setting the property to any value, including , sets the property to . 0 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets or sets the scheme component of the current instance.

  A containing the scheme component of the current instance.

  Specifying for a set operation sets this property to . If the value specified for a set operation contains a colon (":"), the scheme is set using the substring that includes all characters from the start of the value up to, but not including the colon. The characters in the value are converted to lower case.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String

  Returns the escaped form of the URI represented by the current instance.

  A containing the escaped URI contained in the current instance.

  The string returned by this method (shown here as uriString) is constructed as follows:

  uriString = scheme + scheme delimiter + host.

  If port != -1 and host != "", then uriString = uriString + ":" + port.

  If host != "" and path != "" and path != "/", then uriString = uriString + "/".

  uriString = uriString + path.

  If fragment != "", then uriString = uriString + fragment, else uriString = uriString + query.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Uri

  Gets a instance constructed using the current instance.

  A containing the URI components of the current instance.

  This property returns the same instance until modifications are made to the current instance, at which time a new instance is constructed by passing the string representation of the current instance to the ( ) constructor.

  The URI constructed using the string representation of the current instance is in an invalid form. 0 1.0.5000.0 2.0.0.0
- Property
  System.String

  Gets or sets the user name information used to access the resource identified by the current instance.

  A containing the user name used to access the resource identified by the current instance.

  Specifying for a set operation sets this property to .

  0
  1.0.5000.0
  2.0.0.0
0